pango-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Opaque Used to store strings of glyphs with geometry and visual attribute information.
- Constructor
  2.12.0.0
  Creates a new object.
- Constructor
  2.12.0.0
  an object of type
  Internal method
  This is an internal method, and should not be used by user code.
- Method
  2.12.0.0
  Pango.GlyphString Copies one into a new object. a To be added.
- Method
  2.12.0.0
  System.Void `` `` `` a for rendering the string a used to store the extents of the glyph as drawn or to indicate that the result is not needed. a used to store the logical extents of the glyph or to indicate that the result is not needed. Computes the logical and ink extents of this glyph string. The coordinate system for each rectangle has its origin at the base line and horizontal origin of the character with increasing coordinates extending to the right and down. The units of the rectangles are in 1 / of a device unit.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` an integer for the start index an integer for the end index a for rendering the string a used to store the extents of the glyph as drawn or to indicate that the result is not needed. a used to store the logical extents of the glyph or to indicate that the result is not needed. Computes the logical and ink extents of a sub-section of this glyph string. The extents are relative to the start of the glyph string range, not to the start of the glyph string.
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Int32 `` `` a to process a , the embedding level of the string Determine the screen width corresponding to each character in a string. When multiple characters compose a single cluster, the width of the entire cluster is divided equally among the characters. a , a pointer to an array of logical widths for each character.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  System.Int32 `` `` `` `` a , the text for the run a , the analysis for the run a , the byte index within the text. a whether to compute from trailing edge (true) or leading edge (false) of the character Convert from character position to X position. To be added. Converts from character position to x position. (X position is measured from the left edge of the run). Character positions are computed by dividing up each cluster into equal portions.
- Method
  2.12.0.0
  System.Obsolete("Replaced by GlyphString() constructor")
  Pango.GlyphString Obsolete. Replaced by an ordinary constructor a object.
- Method
  2.12.0.0
  System.Obsolete("Replaced by GlyphString(IntPtr) constructor")
  Pango.GlyphString `` an object of type Obsolete internal constructor a object.
- Property
  2.12.0.0
  System.Int32 the number of glyphs in the string. the number of glyphs in the string.
- Property
  2.12.0.0
  System.Int32 Resizes this GlyphString to the given length. The new length of the string. To be added.
- Property
  2.12.0.0
  System.Int32 Width property. The logical width of the glyph string.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` a , the text for the run a , the analysis for the run the X offset in Pango glyph units. a , for storing the calculated byte index a for storing whether the user clicked on the leading or trailing edge of the character. Convert from x offset to character position. Character positions are computed by dividing up each cluster into equal portions. In scripts where positioning within a cluster is not allowed (such as Thai), the returned value may not be a valid cursor position; the caller must combine the result with the logical attributes for the text to compute the valid cursor position.
- Field
  2.12.0.0
  System.Obsolete("Pango.GlyphString is a reference type now, use null")
  Pango.GlyphString Obsolete: just use now.